package TX_OtherClass;

public final class ExtentAccount extends JceStruct {
    public String accountId;
    public int type;

    public ExtentAccount() {
        super();
        this.type = 0;
        this.accountId = "";
    }

    public ExtentAccount(int arg2, String arg3) {
        super();
        this.type = 0;
        this.accountId = "";
        this.type = arg2;
        this.accountId = arg3;
    }

    public final void readFrom(c arg4) {
        this.type = arg4.a(this.type, 0, true);
        this.accountId = arg4.b(1, true);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.type, 0);
        arg3.a(this.accountId, 1);
    }
}
